Page MenuHomePhabricator

Create Conduit API method to lookup Phabricator accounts by MediaWiki user name
Closed, ResolvedPublic

Description

Create a new Conduit API method to lookup Phabricator accounts by MediaWiki user name for symmetry with the user.ldapquery method that @mmodell made and to support user who have Phabricator accounts linked only to their SUL credentials.

Proposed name: user.mediawikiquery
Parameters:

  • names: list of MediaWiki usernames
  • offset: offset to start results from (optional)
  • limit: max results (optional)

Response:
Same as user.ldapquery but with a mediawiki_username field for each result rather than an ldap_username field.

Event Timeline

bd808 created this task.Jun 3 2016, 11:24 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 3 2016, 11:24 PM
bd808 moved this task from Backlog to Doing on the Community-Tech-Tool-Labs board.Jun 3 2016, 11:43 PM
bd808 closed this task as Resolved.Jun 4 2016, 4:08 PM
bd808 moved this task from To Do to Done on the User-bd808 board.Jun 5 2016, 3:31 AM
bd808 moved this task from Doing to Done on the Community-Tech-Tool-Labs board.Jun 8 2016, 3:36 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Jun 21 2016, 7:40 PM